## org.eclipse.emf.ecoretools.diagram.part
Class EcoreDiagramEditor

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.EditorPart
                  org.eclipse.gef.ui.parts.GraphicalEditor
                      org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditor
                          org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditorWithFlyOutPalette
                              org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditor
                                  org.eclipse.emf.ecoretools.diagram.part.EcoreDiagramEditor

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.gef.commands.CommandStackListener, org.eclipse.gmf.runtime.diagram.ui.parts.IDiagramWorkbenchPart, org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.IDocumentEditor, org.eclipse.ui.ide.IGotoMarker, org.eclipse.ui.IEditorPart, org.eclipse.ui.IReusableEditor, org.eclipse.ui.ISaveablePart, org.eclipse.ui.ISelectionListener, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IShowInSource, org.eclipse.ui.part.IWorkbenchPartOrientation, org.eclipse.ui.views.properties.tabbed.ITabbedPropertySheetPageContributor

    public class EcoreDiagramEditor

extends org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditor
implements org.eclipse.ui.ide.IGotoMarker

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditorWithFlyOutPalette
`org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditorWithFlyOutPalette.CustomPalettePage`

Field Summary
`static java.lang.String` `CONTEXT_ID`
`static java.lang.String` `ID`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditor
`fErrorLabel, statusLineContributions, statusLineLabelProvider`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditorWithFlyOutPalette
`COLLAPSED, UNCOLLAPSED_PINNED`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditor
`DIAGRAM_CONTEXT_ID, ID_OUTLINE, ID_OVERVIEW, workspaceViewerPreferenceStore`

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`EcoreDiagramEditor()`

Method Summary
`protected void` `configureGraphicalViewer()`
`protected void` `createActions()`
`protected org.eclipse.gef.palette.PaletteRoot` `createPaletteRoot(org.eclipse.gef.palette.PaletteRoot existingPaletteRoot)`
`void` `doSaveAs()`
`java.lang.Object` `getAdapter(java.lang.Class type)` Handle IContentOutlinePage adapter
`protected java.lang.String` `getContextID()`
`java.lang.String` `getContributorId()`
`protected org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.IDocumentProvider` `getDocumentProvider(org.eclipse.ui.IEditorInput input)`
`org.eclipse.emf.transaction.TransactionalEditingDomain` `getEditingDomain()`
`protected int` `getInitialDockLocation()`
`NavigationManager` `getNavigationManager()` Returns the diagram navigation manager
`protected org.eclipse.gmf.runtime.diagram.core.preferences.PreferencesHint` `getPreferencesHint()`
`org.eclipse.ui.part.ShowInContext` `getShowInContext()`
`protected org.eclipse.core.commands.operations.IUndoContext` `getUndoContext()`
`void` `gotoMarker(org.eclipse.core.resources.IMarker marker)`
`protected void` `initializeGraphicalViewer()`
`protected void` `initializeGraphicalViewerContents()` Store Sexy UI preferences at the Viewer level so that it can be reached later by controllers.
`boolean` `isSaveAsAllowed()`
`protected void` `performSaveAs(org.eclipse.core.runtime.IProgressMonitor progressMonitor)`
`void` `setDiagram(org.eclipse.gmf.runtime.notation.Diagram diagram)` Set the given diagram as contents of this editor.
`protected void` `setDocumentProvider(org.eclipse.ui.IEditorInput input)`
`protected void` `setPartName(java.lang.String partName)`
`protected boolean` `shouldAddUndoContext(org.eclipse.core.commands.operations.IUndoableOperation operation)`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditor

`addStatusLineContributions, askUserReload, askUserSaveClose, askUserSaveOverwrite, close, configureDiagramEditDomain, createActionManager, createEditingDomain, createOperationHistory, createPartControl, dispose, disposeDocumentProvider, doSave, doSetInput, editorSaved, enableSanityChecking, enableStateValidation, firePropertyChange, getDefaultPaletteContent, getDiagram, getDiagramDocument, getDocumentProvider, getEditingDomainID, getEditorDescriptor, getProgressMonitor, handleEditorInputChanged, handleElementContentAboutToBeReplaced, handleElementContentReplaced, handleExceptionOnSave, handleSelectionChanged, init, isDirty, isEditable, isEditorInputModifiable, isEditorInputReadOnly, isStatusLineOn, performSave, rebuildStatusLine, releaseInput, removeStatusLineContributions, reuseDiagramOnMove, safelySanityCheckState, sanityCheckState, selectionChanged, setDocumentProvider, setInput, setSite, updateState, updateStatusLineMessageContribution, validateEditorInputState, validateState`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditorWithFlyOutPalette
`applyCustomizationsToPalette, configurePaletteViewer, constructPaletteViewer, createActivityManagerListener, createPaletteCustomizer, createPaletteViewerProvider, getInitialPaletteSize, getInitialPaletteState, getPaletteViewerProvider, getPreferenceStore, handlePaletteDefaultStateChanged, handlePaletteResized, setEditDomain, setFocus, startListening, stopListening, toolSupportsAccessibility`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditor

`addDefaultPreferences, addDefaultPreferences, clearGraphicalViewerContents, closeEditor, createDiagramEditDomain, createGraphicalViewer, createHistoryListener, createScrollingGraphicalViewer, getActionManager, getDefaultOutlineViewMode, getDiagramEditDomain, getDiagramEditPart, getDiagramGraphicalViewer, getElements, getGraphicalControl, getKeyHandler, getOperationHistory, getOutlineContextMenuProvider, getOutlineViewEditPartFactory, getRulerComposite, getSite, getWorkspaceViewerPreferenceStore, getZoomManager, isWritable, persistViewerSettings, setRulerComposite, setUndoContext`

Methods inherited from class org.eclipse.gef.ui.parts.GraphicalEditor
`commandStackChanged, getActionRegistry, getCommandStack, getEditDomain, getGraphicalViewer, getPropertyActions, getSelectionActions, getSelectionSynchronizer, getStackActions, hookGraphicalViewer, initializeActionRegistry, setActionRegistry, setGraphicalViewer, updateActions`

Methods inherited from class org.eclipse.ui.part.EditorPart
`checkSite, getEditorInput, getEditorSite, getTitleToolTip, isSaveOnCloseNeeded, setContentDescription, setInitializationData, setInputWithNotify`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPartPropertyListener, addPropertyListener, firePartPropertyChanged, getConfigurationElement, getContentDescription, getDefaultImage, getOrientation, getPartName, getPartProperties, getPartProperty, getTitle, getTitleImage, removePartPropertyListener, removePropertyListener, setPartProperty, setTitle, setTitleImage, setTitleToolTip, showBusy`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IEditorPart
`getEditorInput, getEditorSite`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

Methods inherited from interface org.eclipse.ui.ISaveablePart
`isSaveOnCloseNeeded`

Field Detail

### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

### CONTEXT_ID

    public static final java.lang.String CONTEXT_ID

See Also:
  Constant Field Values

Constructor Detail

### EcoreDiagramEditor

    public EcoreDiagramEditor()

Method Detail

### setPartName

    protected void setPartName(java.lang.String partName)

  Overrides:
    `setPartName` in class `org.eclipse.ui.part.EditorPart`

### getContextID

    protected java.lang.String getContextID()

  Overrides:
    `getContextID` in class `org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditor`

### createPaletteRoot

    protected org.eclipse.gef.palette.PaletteRoot createPaletteRoot(org.eclipse.gef.palette.PaletteRoot existingPaletteRoot)

  Overrides:
    `createPaletteRoot` in class `org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditorWithFlyOutPalette`

### getPreferencesHint

    protected org.eclipse.gmf.runtime.diagram.core.preferences.PreferencesHint getPreferencesHint()

  Overrides:
    `getPreferencesHint` in class `org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditor`

### getContributorId

    public java.lang.String getContributorId()

  Specified by:
    `getContributorId` in interface `org.eclipse.ui.views.properties.tabbed.ITabbedPropertySheetPageContributor`
  Overrides:
    `getContributorId` in class `org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditor`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class type)

  Handle IContentOutlinePage adapter

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
  Overrides:
    `getAdapter` in class `org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditor`

### getDocumentProvider

    protected org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.IDocumentProvider getDocumentProvider(org.eclipse.ui.IEditorInput input)

  Overrides:
    `getDocumentProvider` in class `org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditor`

### getEditingDomain

    public org.eclipse.emf.transaction.TransactionalEditingDomain getEditingDomain()

  Overrides:
    `getEditingDomain` in class `org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditor`

### setDocumentProvider

    protected void setDocumentProvider(org.eclipse.ui.IEditorInput input)

  Overrides:
    `setDocumentProvider` in class `org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditor`

### gotoMarker

    public void gotoMarker(org.eclipse.core.resources.IMarker marker)

  Specified by:
    `gotoMarker` in interface `org.eclipse.ui.ide.IGotoMarker`

### isSaveAsAllowed

    public boolean isSaveAsAllowed()

  Specified by:
    `isSaveAsAllowed` in interface `org.eclipse.ui.ISaveablePart`
  Overrides:
    `isSaveAsAllowed` in class `org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditor`

### doSaveAs

    public void doSaveAs()

  Specified by:
    `doSaveAs` in interface `org.eclipse.ui.ISaveablePart`
  Overrides:
    `doSaveAs` in class `org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditor`

### performSaveAs

    protected void performSaveAs(org.eclipse.core.runtime.IProgressMonitor progressMonitor)

  Overrides:
    `performSaveAs` in class `org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditor`

### getShowInContext

    public org.eclipse.ui.part.ShowInContext getShowInContext()

  Specified by:
    `getShowInContext` in interface `org.eclipse.ui.part.IShowInSource`
  Overrides:
    `getShowInContext` in class `org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditor`

### configureGraphicalViewer

    protected void configureGraphicalViewer()

  Overrides:
    `configureGraphicalViewer` in class `org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditor`

### initializeGraphicalViewer

    protected void initializeGraphicalViewer()

  Overrides:
    `initializeGraphicalViewer` in class `org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditor`

### shouldAddUndoContext

    protected boolean shouldAddUndoContext(org.eclipse.core.commands.operations.IUndoableOperation operation)

  Overrides:
    `shouldAddUndoContext` in class `org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditor`
  See Also:
    `DiagramEditor.shouldAddUndoContext(org.eclipse.core.commands.operations.IUndoableOperation)`

### getUndoContext

    protected org.eclipse.core.commands.operations.IUndoContext getUndoContext()

  Overrides:
    `getUndoContext` in class `org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditor`
  See Also:
    `DiagramEditor.getUndoContext()`

### initializeGraphicalViewerContents

    protected void initializeGraphicalViewerContents()

  Store Sexy UI preferences at the Viewer level so that it can be reached later by controllers.

  Overrides:
    `initializeGraphicalViewerContents` in class `org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditor`
  See Also:
    `DiagramEditor.initializeGraphicalViewerContents()`

### getInitialDockLocation

    protected int getInitialDockLocation()

  Overrides:
    `getInitialDockLocation` in class `org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditorWithFlyOutPalette`

### getNavigationManager

    public NavigationManager getNavigationManager()

  Returns the diagram navigation manager

  Returns:
    the navigation

### setDiagram

    public void setDiagram(org.eclipse.gmf.runtime.notation.Diagram diagram)

  Set the given diagram as contents of this editor.

  Parameters:
    `diagram` - The diagram to display

### createActions

    protected void createActions()

  Overrides:
    `createActions` in class `org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditor`

Copyright 2007 Anyware Technologies. All Rights Reserved.